### Method

# Gtk PopoverBin set_menu_model

since: 4.22

#### Declaration [src]

    void
    gtk_popover_bin_set_menu_model (
      GtkPopoverBin* self,
      GMenuModel* model
    )

#### Description [src]

Sets the menu model used to create the popover that will be presented when calling `gtk_popover_bin_popup()`.

If `model` is `NULL`, the popover will be unset.

A `GtkPopover` will be created from the menu model with `gtk_popover_menu_new_from_model()`. Actions will be connected as documented for this function.

If `GtkPopoverBin:popover` is already set, it will be dissociated from the popover bin, and the property is set to `NULL`.

See: `gtk_popover_bin_set_popover()`.

Available since: 4.22

Sets property | `Gtk.PopoverBin:menu-model`

#### Parameters

`model`

  Type: `GMenuModel`

  A menu model.

  The argument can be `NULL`.
  The data is owned by the caller of the method.